Bug 19152 - Segmentation fault when run mesa xdemo/wincopy
Segmentation fault when run mesa xdemo/wincopy
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: GLX
unspecified
Other Linux (All)
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 22:38 UTC by liuhaien
Modified: 2009-02-24 00:21 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (41.45 KB, text/plain)
2008-12-17 22:38 UTC, liuhaien
Details
xorg conf file (4.03 KB, text/plain)
2008-12-17 22:38 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2008-12-17 22:38:19 UTC
Created attachment 21262 [details]
xorg.0.log

System Environment:
--------------------------
host: x-bl2
arch: x86_64
Libdrm:         (master)c86d431fe6174b1c2de531929213ea7dbd92326d
Mesa_stable:    (intel-2008-q4)0d5b1e591b7fb2cf3109b7e147bb3ea6aa8f8b15
Xserver_stable:  (server-1.6-branch)32e81074b967716865aef08b66ec29caf0fec2c5
Xf86_video_intel_stable:  (xf86-video-intel-2.6-branch)
              83f3c376b5942e134047a220e6e5f2432ffc492c


Bug detailed description:
-------------------------
start X, we will get Segmentation fault when run mesa xdemo/wincopy on our all platforms, following is the backtrace from GDB and ctrl+c:
(gdb) bt
#0  0x00000033400cd437 in ioctl () from /lib64/libc.so.6
#1  0x00007f6b4d0a78c1 in drmIoctl (fd=7, request=3222823994,
    arg=0x7fff55cb2fc0) at xf86drm.c:183
#2  0x00007f6b4d0a7d70 in drmWaitVBlank (fd=7, vbl=0x7fff55cb2fc0)
    at xf86drm.c:1895
#3  0x00007f6b4c825cce in do_wait (vbl=0x7fff55cb2fc0, vbl_seq=0x6ec500,
    fd=1439379392) at ../common/vblank.c:255
#4  0x00007f6b4c825ee7 in driWaitForVBlank (priv=0x6ec4a0,
    missed_deadline=0x7fff55cb304f "") at ../common/vblank.c:406
#5  0x00007f6b4c839605 in intelSwapBuffers (dPriv=0x6ec4a0)
    at intel_buffers.c:740
#6  0x00007f6b4c826117 in driSwapBuffers (dPriv=0x7)
    at ../common/dri_util.c:321
#7  0x0000000000401603 in Redraw () at wincopy.c:145
#8  0x0000000000401905 in main (argc=<value optimized out>,
    argv=<value optimized out>) at wincopy.c:232


Reproduce steps:
----------------
1.xinit&
2. run mesa xdemo/wincopy
Comment 1 liuhaien 2008-12-17 22:38:45 UTC
Created attachment 21263 [details]
xorg conf file
Comment 2 haihao 2008-12-18 01:11:03 UTC
It is a GLX issue, and you should attach a right backtrace.
Comment 3 lin, jiewen 2008-12-22 21:29:41 UTC
Q965 and g45 have this issue too.
Comment 4 liuhaien 2009-02-24 00:20:55 UTC
this issue has gone against below commit:
Libdrm:		(master)4a0d19ef4f210cea9e60c5acc355df03723ef808
Mesa:		(mesa_7_4_branch)e2092bb23c956ba9ab940935f803ef843db81af2
Xserver:	(server-1.6-branch)4557b3f6c4273cd83b701beaf7a150c806fed298
Xf86_video_intel:		(master)81c652e9a666a7459bcc5217c8a5ec518b6e00da
GEM_kernel:       (for-airlied)99d31f896d243c13bb90b56620d33b416a5cffa7
Comment 5 liuhaien 2009-02-24 00:21:08 UTC
verified.